Bug 457937 - Add htaccess files for Bugzilla to the rpm package so they are installed automatically
Add htaccess files for Bugzilla to the rpm package so they are installed auto...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Administration (Show other bugs)
3.6
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 12:20 EDT by David Lawrence
Modified: 2013-06-24 00:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 01:23:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2008-08-05 12:20:46 EDT
Add htaccess files for Bugzilla to the rpm package so they are installed automatically

/var/www/html/bugzilla/.htaccess

# Don't allow people to retrieve non-cgi executable files or our private data
<FilesMatch ^(.*\.pm|.*\.pl|.*localconfig.*)$>
  deny from all
</FilesMatch>

/var/www/html/bugzilla/data/.htaccess

# Nothing in this directory is retrievable unless overridden by an .htaccess
# in a subdirectory; the only exception is duplicates.rdf, which is used by
# duplicates.xul and must be accessible from the web server
deny from all
<Files duplicates.rdf>
  allow from all
</Files>
Comment 1 David Lawrence 2008-11-24 15:48:59 EST
Normally these are done by the checksetup.pl script which we cannot run in our production environments so we need to make sure they are included in the rpm package so that they are installed automatically.
Comment 2 David Lawrence 2010-01-15 12:33:21 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 3 David Lawrence 2010-08-25 17:44:02 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 6 Jeff Fearn 2012-05-30 00:47:56 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Note You need to log in before you can comment on or make changes to this bug.